Amazonセラーフィードバック
Amazon Seller Feedbackは、指定したAmazonセラーに対して寄せられた顧客レビューを返します。各ページは最大5件のレコードを返すため、pageパラメータとpagination.has_next_pageフラグを使用して反復処理を行ってください。
エンドポイント
Section titled “エンドポイント” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー(Amazonと共通)。 |
engine | string | yes | amazonを指定する必要があります。 |
type | string | yes | seller_feedbackを指定する必要があります。 |
seller_id | string | yes | AmazonセラーID(例:AAZRLVTNON75Z)。 |
domain | string | no | マーケットプレイスのドメイン、デフォルトはamazon.com。 |
device | desktop | mobile | no | シミュレートするデバイス。 |
page | integer | no | 結果のページ番号。pagination.has_next_pageと組み合わせて使用します。 |
リクエスト例
Section titled “リクエスト例”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_feedback', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();レスポンス例
Section titled “レスポンス例”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z" }, "seller_feedback": [ { "rater": "Jorge balarezo", "rating": 5, "has_response": false, "body": "Tiene un perfume muy agradable, siempre lo uso lo recomiendo.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 1 }, { "rater": "Sarah M.", "rating": 5, "body": "Great service", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 2 }, { "rater": "Chad H.", "rating": 1, "body": "Product was different than advertised.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 4 } ], "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}